# /api/queue/update

Queue Update

* Endpoint: /api/queue/update
* Method: PUT;
* Authorization: required;
* Parameters:

Guid (required): GUID of the Queue to update;

Name: Name of the Queue to update;

Description: Description of the Queue to update;

UniqueTasks: Allow only unique task names in the new Queue\
(0 - No, 1 - Yes);

AutoChangeStatus: Set the status to "Not Completed" for Tasks with the status "In Progress" that have a Job with the status "Not Completed", "Stopped", or "Interrupted" (0 - No, 1 - Yes).

* Example:

| Request                                                                                                                     | Response |
| --------------------------------------------------------------------------------------------------------------------------- | -------- |
| `json</p><p> {</p><p> "Guid": "554ab883-1f82-48e1-bb12-5049002e7d70",</p><p> "Name": "Updated Test Queue",</p><p> }</p><p>` | \[]      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/ochered/api-queue-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
